Name:		xchm
Version:	1.35
Release:	%mkrel 1
Summary:	Summary CHM viewer for UNIX
License:	GPLv2+
Group:		Publishing
URL:		https://github.com/rzvncj/xCHM
Source0:	https://github.com/rzvncj/xCHM/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	libchm-devel
BuildRequires:	wxgtk-devel
BuildRequires:	gettext-devel

%description
xCHM - the CHM viewer for UNIX.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/*
%{_metainfodir}/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Feb 05 2023 daviddavid <daviddavid> 1.35-1.mga9
+ Revision: 1938557
- new version: 1.35 (fixes build with wxgtk 3.2.1 bug#26)
- new version: 1.34

* Thu Aug 11 2022 neoclust <neoclust> 1.33-1.mga9
+ Revision: 1877020
- New version 1.33

* Fri Jul 15 2022 wally <wally> 1.30-11.mga9
+ Revision: 1869004
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 1.30-10.mga9
+ Revision: 1864117
- rebuild for wxgtk 3.1.7

* Fri Apr 15 2022 wally <wally> 1.30-9.mga9
+ Revision: 1850138
- rebuild for wxgtk 3.1.6

* Sun Apr 03 2022 umeabot <umeabot> 1.30-8.mga9
+ Revision: 1842877
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 1.30-7.mga9
+ Revision: 1768498
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 1.30-6.mga9
+ Revision: 1765703
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Fri Jan 01 2021 wally <wally> 1.30-5.mga8
+ Revision: 1667738
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.30-4.mga8
+ Revision: 1614379
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 umeabot <umeabot> 1.30-3.mga8
+ Revision: 1538039
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 wally <wally> 1.30-2.mga8
+ Revision: 1459627
- rebuild for wxgtk 3.1.3

* Fri Oct 11 2019 daviddavid <daviddavid> 1.30-1.mga8
+ Revision: 1451412
- new version: 1.30
- new URL and Source URL
- switch to wxgtk3 + Gtk+3

* Sun Sep 23 2018 umeabot <umeabot> 1.23-9.mga7
+ Revision: 1301819
- Mageia 7 Mass Rebuild

* Wed Jul 11 2018 wally <wally> 1.23-8.mga7
+ Revision: 1243080
- fix build on aarch64
- use new make macros

* Tue Feb 09 2016 umeabot <umeabot> 1.23-8.mga6
+ Revision: 951475
- Mageia 6 Mass Rebuild

* Mon Dec 29 2014 daviddavid <daviddavid> 1.23-7.mga5
+ Revision: 807052
- fix Buildrequires on wxgtk2.8-devel
  * can not build with wxgtk3
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ fwang <fwang>
- try build with wxgtk 3.0
- revert to wxgtk 2.8
- try build with wxwidgets 3.0

* Sat Oct 19 2013 umeabot <umeabot> 1.23-2.mga4
+ Revision: 535791
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 nanardon <nanardon> 1.23-1.mga4
+ Revision: 482590
- 1.23

* Wed Jul 17 2013 fwang <fwang> 1.22-1.mga4
+ Revision: 455140
- new version 1.22

* Mon Jan 14 2013 umeabot <umeabot> 1.20-4.mga3
+ Revision: 386698
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 1.20-3.mga3
+ Revision: 330941
- fix wxgtk usage

* Sun Jul 24 2011 ahmad <ahmad> 1.20-2.mga2
+ Revision: 128212
- Rebuild against wxgtk2.8 with enabled catch_segvs

* Wed Jul 06 2011 dams <dams> 1.20-1.mga2
+ Revision: 119128
- silent update source
- update to 1.20
- clean spec
- remove doc as obsolete since 2006
- install icons from the package

* Sun May 08 2011 grenoya <grenoya> 1.17-1.mga1
+ Revision: 96390
- clean old Mdv syntax
- imported package xchm


* Tue May 26 2009 Frederik Himpe <fhimpe@mandriva.org> 1.17-1mdv2010.0
+ Revision: 379970
- update to new version 1.17

* Sat May 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1.16-1mdv2010.0
+ Revision: 376505
- Update to new version 1.16

* Sun Dec 28 2008 Adam Williamson <awilliamson@mandriva.org> 1.14-5mdv2009.1
+ Revision: 320281
- fd.o icons
- adjust buildrequires to build against wx 2.8 not 2.6

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 1.14-4mdv2009.0
+ Revision: 262286
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.14-3mdv2009.0
+ Revision: 256688
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Jan 05 2008 Funda Wang <fwang@mandriva.org> 1.14-1mdv2008.1
+ Revision: 145750
- New version 1.14

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 14 2007 Funda Wang <fwang@mandriva.org> 1.13-4mdv2008.0
+ Revision: 52008
- Build unicode version

* Sat Jul 14 2007 Funda Wang <fwang@mandriva.org> 1.13-3mdv2008.0
+ Revision: 51999
- BR wxGTK 2.6

  + Olivier Thauvin <nanardon@mandriva.org>
    - 1.13


* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 1.10-3mdv2007.0
+ Revision: 93977
- force rebuild
- bump release for no reason but cheat with bs
- force wxgtk version
- 1.10

  + Lenny Cartier <lenny@mandriva.com>
    - Import xchm

* Wed Jun 07 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.9-1mdv2007.0
- 1.9

* Wed May 24 2006 Lenny Cartier <lenny@mandriva.com> 1.8-1mdk
- 1.8

* Tue Apr 18 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.7.1-1mdk
- New release 1.7.1

* Fri Apr 14 2006 Lenny Cartier <lenny@mandriva.com> 1.7.1-1mdk
- 1.7.1
- keep 1.6 doc for the moment

* Fri Apr 07 2006 Lenny Cartier <lenny@mandriva.com> 1.6-1mdk
- 1.6

* Thu Mar 23 2006 Olivier Thauvin <nanardon@mandriva.org> 1.5-1mdk
- 1.5

* Tue Feb 28 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.4-1mdk
- 1.4

* Wed Jan 25 2006 Lenny Cartier <lenny@mandriva.com> 1.3-1mdk
- 1.3

* Sat Nov 26 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.2-3mdk
- fix menu

* Tue Sep 13 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.2-2mdk
- rebuild against new chmlib

* Tue Aug 30 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.2-1mdk
- 1.2

* Mon Aug 29 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.1-1mdk
- 1.1

* Sun Jul 24 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0-2mdk
- change the menu section and group

* Wed Jun 08 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0-1mdk
- 1.0
- build with wxGTK 2.6
- removed non-mdk entryes from changelog

* Mon Feb 21 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.8-1mdk
- 0.9.8

* Fri Dec 24 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.7-1mdk
- 0.9.7
- build with wxGTK 2.5, adjust BuildRequires

* Tue Oct 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.6-1mdk
- 0.9.6
- fix menu entry

* Thu Jul 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.2-1mdk
- 0.9.2

* Thu Jun 17 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.1-2mdk
- macroszification and some spec fixes
- fixed menu section and summary
- rebuild with new libstdc++

* Tue Apr 06 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-1mdk
- 0.9.1

* Fri Jan 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.11-1mdk
- 0.8.11

* Tue Jan 06 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.8.10-1mdk
- 0.8.10

